Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class Sequencers.SequencingContext

    java.lang.Object
      org.modeshape.jcr.Sequencers.SequencingContext

All Implemented Interfaces:
  Sequencer.Context

Enclosing class:
  Sequencers

    @Immutable
    protected static final class Sequencers.SequencingContext

extends Object
implements Sequencer.Context

Constructor Summary
`protected` | `Sequencers.SequencingContext(DateTime now, ValueFactory jcrValueFactory, MimeTypeDetector mimeTypeDetector)`

Method Summary
`Calendar` | `getTimestamp()` Get the timestamp of the sequencing.
`MimeTypeDetector` | `mimeTypeDetector()` Returns a `MimeTypeDetector` implementation which can be used to determine content mime-type.
`ValueFactory` | `valueFactory()` Returns a `ValueFactory` instance which can be used to perform additional type conversions, from what `ValueFactory` offers

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sequencers.SequencingContext

    protected Sequencers.SequencingContext(DateTime now,
                                           ValueFactory jcrValueFactory,
                                           MimeTypeDetector mimeTypeDetector)

Method Detail

### getTimestamp

    public Calendar getTimestamp()

  Description copied from interface: `Sequencer.Context`
  Get the timestamp of the sequencing. This is always the timestamp of the change event that is being processed.

  Specified by:
    `getTimestamp` in interface `Sequencer.Context`
  Returns:
    timestamp the "current" timestamp; never null

### valueFactory

    public ValueFactory valueFactory()

  Description copied from interface: `Sequencer.Context`
  Returns a `ValueFactory` instance which can be used to perform additional type conversions, from what `ValueFactory` offers

  Specified by:
    `valueFactory` in interface `Sequencer.Context`
  Returns:
    a non-null value factory, using the output node's session as context

### mimeTypeDetector

    public MimeTypeDetector mimeTypeDetector()

  Description copied from interface: `Sequencer.Context`
  Returns a `MimeTypeDetector` implementation which can be used to determine content mime-type.

  Specified by:
    `mimeTypeDetector` in interface `Sequencer.Context`
  Returns:
    a non-null value, using the output node's session as context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.